Results 1 to 4 of 4

Thread: Problem upgrading to 4.1.0.91

    Success! Looks like we've fixed this one. According to our records the fix was applied for DSGNR-7519 in Architect 4.1.0.
  1. #1
    Sencha Premium User
    Join Date
    Jan 2014
    Location
    Italy
    Posts
    116

    Exclamation Problem upgrading to 4.1.0.91

    I got the same problem on two different machines, both with Windows 7 64 bit.

    After a while the upgrade failed with the following error:

    ERROR CODE : 7
    Update error: Updater doesn't have provileges to update files. Pleas run Sencha Architect as administrator.
    ION

    I relaunched Architect as admin but the upgrade did not restart since, looking at the "about" info it was already at ver. 4.1.0.91.

    My projects seem OK but I'm wondering if something may be missing or not aligned.

    Thanks,

    Dario

  2. #2
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795

    Default

    Thanks for the report.

    You about window should say:
    Version: 4.1.0.91
    Channel: 4.1-stable
    Platform: 1.2.8.3 - win32 x64
    Renderer: 51.0.2704.106


    You installation was probably updated only partially. Logged in our system as DSGNR-7519 - we will fix it and the second part of auto-update will be triggered in the upcoming days for you.

    In this case this should not affect your SA experience in any significant way. So you can use the SA without any worries as it is now.

    If you would like to trigger the update again. Delete this folder:
    C:\Users\<user>\AppData\Local\Sencha\Sencha Architect 4.0\updates\4.1.0.91

    And your SA will start with version 4.0.2 and the update process will be shown to you again. (don't forget to run as admin)

    Regrads
    Petr

  3. #3
    Sencha Premium User
    Join Date
    Jan 2014
    Location
    Italy
    Posts
    116

    Default

    Hi Petr,

    I removed the updates\4.1.0.91 folder and restarted SA as admin.

    This time the upgrade completed without errors but with a minor problem:

    Just before the above steps I used the new "Manage Frameworks" feature to remove unused framework (4.x and 5.x) but the upgrade process reinstalled them and I had to remove them again.

    One more point, in order to save disk space, may I remove the old updates/4.0.2.209 folder ?

    Thanks,

    Dario

  4. #4
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795

    Default

    Thanks for the info. We will look into that.

    In order to save the space you can delete the folder updates/4.0.2.209 - but keep in mind that you will be not able to simply "rollback" the version if you needed. You would need to download the 4.0.2 installer again - if you need that in any case.

    Also in order to save the space you can delete this folder:
    C:\Program Files\Sencha\Sencha Architect 4.0.2-GA\assets

    Also Windows does not clean the temp folder automatically for the users. SA often uses it. You can search google for any tutorials how to do that on your system. Or I personally use free version of CClenaer https://www.piriform.com/ccleaner/download

Similar Threads

  1. Problem upgrading from Ext JS 4.2 to Ext JS 5
    By martasalaFAMA in forum Ext 5: Q&A
    Replies: 3
    Last Post: 14 Apr 2016, 7:54 AM
  2. Problem upgrading to Touch 2.3
    By =NR= in forum Sencha Touch 2.x: Q&A
    Replies: 4
    Last Post: 7 Nov 2013, 10:59 AM
  3. Upgrading packages of apps when upgrading CMD/ExtJS
    By anton.dimitrov in forum Sencha Cmd
    Replies: 3
    Last Post: 30 Oct 2013, 5:31 AM
  4. problem after upgrading Ext Js 3.2.2 to 4.0
    By henryivy in forum Ext: Discussion
    Replies: 1
    Last Post: 11 May 2011, 7:22 PM
  5. Problem upgrading to 3.0
    By fzammetti in forum Sencha Ext JS Q&A
    Replies: 4
    Last Post: 6 Mar 2009, 11:40 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •